import { Component } from '@angular/core';

import { Control } from 'wijmo/wijmo';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  title = 'app';
  cultures = [
    { name: 'English', id: 'en' },
    { name: 'Spanish', id: 'es' },
    { name: 'German', id: 'de' },
    { name: 'Dutch', id: 'nl' },
    { name: 'Japanese', id: 'ja' },
  ];
  currentCulture = this.cultures[0];
  cultureScript = null;
  cultureChanged(s, e) {
    this.currentCulture = s.collectionView.currentItem;
    if (this.cultureScript != null) {
      this.cultureScript.parentElement.removeChild(this.cultureScript);
    }
    this.cultureScript = document.createElement('script') as any;
    this.cultureScript.addEventListener('load', function() {
      Control.invalidateAll(); // invalidate controls to show changes
    });
    this.cultureScript.src = 'http://cdn.wijmo.com/5.latest/controls/cultures/wijmo.culture.' + this.currentCulture.id + '.min.js';
    document.head.appendChild(this.cultureScript);
  }
}
